Summary: The Red Hat graphical PPP management tool.
Name: rp3
Version: 1.0.7
Release: 4
Copyright: GPL
Group: Applications/System
Source: rp3-%{PACKAGE_VERSION}.tar.gz
Requires: ppp >= 2.3.9, initscripts >= 4.45, wvdial >= 1.40-5, usermode >= 1.13
Obsoletes: usernet
BuildRoot: %{_tmppath}/%{name}-root

%description
The rp3 program provides an easy-to-use interface for configuring
PPP connections, and for activating and monitoring any type of
network configuration.  rp3 includes a GNOME panel applet,
a more highly functional replacement for usernet, and a graphical
configuration tool that takes you through the process of setting up
a PPP connection from start to finish, one step at a time.

%prep
%setup
%configure --sysconfdir=/etc

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/bin/rp3
%{_prefix}/bin/usernet
%{_prefix}/bin/rp3-config
%{_prefix}/sbin/rp3-config
%{_prefix}/share/gnome/help/*/*/*
%{_prefix}/share/locale/*/*/*
%{_prefix}/share/applets/*/*
%{_prefix}/share/pixmaps/rp3
%config /etc/X11/applnk/*/*
%config /etc/CORBA/servers/*
%config(noreplace) /etc/security/console.apps/*
%config(noreplace) /etc/pam.d/*

%changelog
* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Wed Feb  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix new crashing bug in rp3-config/adddruid.cc

* Tue Feb  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix too-many-open-files bug in utils/interface.c
- make all files under /etc config files

* Tue Feb  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- properly save and interpret confirmStart and confirmStop
- fix the session manager "save yourself" wait problem
- clean up configuration file handling
- update sysconfig files when we update wvdial.conf

* Thu Jan 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- integrate wvdial-1.41 and fix the "call" problem with pppd

* Tue Jan 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- rewrite logger dialog to get rid of warnings and other problems

* Wed Dec 08 1999 Michael K. Johnson <johnsonm@redhat.com>
- control persistence
- delete wvdial sections when deleting account so names can be reused
- fixed various segvs
- bring clone devices up and down correctly
- unsigned/signed conversion fix for graph display

* Sat Nov 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed SIGILL on alpha
- made more robust when encountering bad data files

* Mon Nov 01 1999 Michael K. Johnson <johnsonm@redhat.com>
- segfault when adding new modem fixed
- danish translation
- fix dialog box flashing
- ignore non-rp3 configurations in rp3-config
- fixed SIGFPE on sparc, alpha

* Sat Sep 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- Version 1.0
- moved menu files to applnk directories
- norwegian translation
- --swallow

* Thu Sep 23 1999 Michael K. Johnson <johnsonm@redhat.com>
- volume setting option
- terminate on close
- onboot syntax fixed
- yet another stupid mode fix
- debug connection works even if ppp comes up successfully
- usernet/rp3-config device confusion problem fixed

* Wed Sep 22 1999 Michael K. Johnson <johnsonm@redhat.com>
- help tied into rp3-config
- corrected "Stupid mode" and USERCTL interpretation
- if iface is down but manipulatble when chosen interactively at start time,
  offer to start it
- changed default size of rp3 application, allow larger graph
- rp3-config desktop entry

* Mon Sep 20 1999 Michael K. Johnson <johnsonm@redhat.com>
- require latest usermode for consolehelper that sets $HOME
- DNS management bugs fixed
- USERCTL set right
- Stupid mode last bug stomped (famous last words...)

* Sun Sep 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- no longer segfaults if rp3's Preferences->Apply is clicked more
  than once
- wvdial's "Stupid mode" is now set correctly

* Fri Sep 17 1999 Michael K. Johnson <johnsonm@redhat.com>
- New version 0.14
- rp3-config can deal with multiple modems better, has advanced
  options for further configurability
- added dependency on newer version of wvdial so that we get the
  "Inherits" implementation in wvdial.conf

* Tue Sep 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- added desktop entry and wmconfig entry for usernet
- added the help files to the filelist
- added usernet desktop and (legacy) wmconfig files

* Mon Sep 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- version 0.13 creates all tested account types properly
- rp3 now runs child processes asynchronously when possible,
  allowing rp3 to handle expose events.
- requires new initscripts and wvdial for PAP/CHAP to work.
- fixed fd leaks
- rp3-config can now log debugging dialing and save it to a file

* Fri Sep 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- version 0.12 has fully working panel applet that saves session
  properly.

* Wed Sep 08 1999 Michael K. Johnson <johnsonm@redhat.com>
- version 0.10 requires even newer initscripts so that ifdown is
  also synchronous (modulo timeouts) and squashes the annoying
  multi-dialog-popup bug

* Tue Sep 07 1999 Michael K. Johnson <johnsonm@redhat.com>
- version 0.9 should really work.  Requires even newer initscripts
  than before so that ifup ppp<n> is synchronous -- that is, it will
  not return until the device is up or the operation has failed.

* Fri Aug 27 1999 Michael K. Johnson <johnsonm@redhat.com>
- built initial package with real contents

* Thu Aug 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- created stub package for documentation purposes
